class JobsSidebar extends Shadow {
    render() {
        VStack(() => {
            h3("Location")
            .color("var(--accent2)")
            .marginBottom(0, em)

            HStack(() => {
                input("Location", "100%")
                    .paddingLeft(3, em)
                    .paddingVertical(0.75, em)
                    .backgroundImage("/_/icons/locationPin.svg")
                    .backgroundRepeat("no-repeat")
                    .backgroundSize("18px 18px")
                    .backgroundPosition("10px center")
            })
        })
        .paddingTop(1, em)
        .paddingLeft(3, em)
        .paddingRight(3, em)
        .gap(1, em)
        .minWidth(10, vw)
    }
}

register(JobsSidebar)